Bug 983210 - Resource group [RHQ Storage Nodes] does not exist exception in agent.log after storage node uninventory
Resource group [RHQ Storage Nodes] does not exist exception in agent.log afte...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Inventory (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity urgent
: GA
: JON 3.2.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-07-10 13:38 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:37:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
agent.log (31.98 KB, text/x-log)
2013-07-10 13:38 EDT, Armine Hovsepyan
no flags Details
server.log.tar.gz (55.35 KB, application/x-gzip)
2013-07-25 05:46 EDT, Jeeva Kandasamy
no flags Details
server.log.tar.gz - after restart the services (75.30 KB, application/x-gzip)
2013-07-25 05:52 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-07-10 13:38:34 EDT
Created attachment 771754 [details]
agent.log

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run rhqctl install
2. go to rhq storage node resource under inventory in gui
3. edit connection settings  - change Native Transport Port from 9142 to 9146 (or some other value)
4. uninventory rhq storage 


Actual results:
Resource group [RHQ Storage Nodes] does not exist exception in agent.log after storage node uninventory neither platform nor storage node are visible in discovery queue, server is connected to storage node and has NORMAl mode.

Expected results:
rhq storage node is auto-inventoried back to inventory list
platform is visible in discovery queue
no exception in neither agent nor server or storage logs.

Additional info:
fragemtn from agent.log attached
Comment 1 Jeeva Kandasamy 2013-07-25 05:45:34 EDT
Facing this issue on JON 3.2 Alpha 53 also, Once we do un-inventory the platform, Unable to inventory any resource, even agent discovery is not showing on discovery list.

Attached server.log

Version: 3.2.0.ALPHA_QA
Build Number: 1878d58:5e6b489
GWT Version: 2.5.0
SmartGWT Version: 3.0
Comment 2 Jeeva Kandasamy 2013-07-25 05:46:26 EDT
Created attachment 778164 [details]
server.log.tar.gz
Comment 3 Jeeva Kandasamy 2013-07-25 05:52:52 EDT
Created attachment 778166 [details]
server.log.tar.gz - after restart the services

After this issue, If we restart the services, GUI page never gets launch.

./rhqctl stop
./rhqctl start 

[hudson@mercury bin]$ ./rhqctl status
15:22:00,343 INFO  [org.jboss.modules] JBoss Modules version 1.2.0.Final-bz-975242
RHQ Storage Node               (pid 29503  ) IS running
RHQ Server                     (pid 29686  ) IS running
JBossAS Java VM child process  (pid 29686  ) IS running
RHQ Agent                      (pid 29928  ) IS running 
[hudson@mercury bin]$ 

Complete server.log is attached
Comment 4 John Sanda 2013-08-22 21:50:05 EDT
The storage node resource group is no longer created, so this should no longer be relevant.
Comment 5 Armine Hovsepyan 2013-08-23 09:08:40 EDT
verified
uninventorying storage node resource - it gets inventoried back to server gui

Note You need to log in before you can comment on or make changes to this bug.